﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Test
{
    public partial class MainPage : ContentPage
    {
        public ObservableCollection<ChartDataPoint> Data { get; set; }
        public MainPage()
        {
            InitializeComponent();
            Data = new ObservableCollection<ChartDataPoint>();
            Data.Add(new ChartDataPoint(0.2, 0.5));
            Data.Add(new ChartDataPoint(0.5, 1));
            binaryChartSecondaryAxis.LabelCreated += BinaryChartSecondaryAxis_LabelCreated;
            vc1PlusSeries.ItemsSource = Data;
        }
        private void BinaryChartSecondaryAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            string label = e.LabelContent;
            //Changing the axis label 
            switch (label)
            {
                case "0.2":
                    e.LabelContent = "AUX Open";
                    break;
                case "0.5":
                    e.LabelContent = "AUX Close";
                    break;
                default:
                    e.LabelContent = "";
                    break;
            }
        }
    }
}
